#include "dataset.h"

Dataset::Dataset()
{
dimension=0;
}

void    Dataset::loadDefaults()
{
    //load lenses data
    dimension=4;
    xpoint.resize(24);
    xpoint[0]<<1<<2<<2<<1;
    xpoint[1]<<1<<2<<1<<1;
    xpoint[2]<<1<<2<<2<<2;
    xpoint[3]<<2<<1<<1<<2;
    xpoint[4]<<2<<1<<2<<1;
    xpoint[5]<<2<<1<<2<<2;
    xpoint[6]<<2<<2<<1<<1;
    xpoint[7]<<2<<2<<1<<2;
    xpoint[8]<<3<<1<<1<<2;
    xpoint[9]<<3<<1<<2<<1;
    xpoint[10]<<3<<1<<2<<2;
    xpoint[11]<<3<<2<<2<<1;
    xpoint[12]<<1<<1<<1<<1;
    xpoint[13]<<1<<1<<1<<2;
    xpoint[14]<<1<<1<<2<<2;
    xpoint[15]<<1<<2<<1<<2;
    xpoint[16]<<1<<2<<2<<1;
    xpoint[17]<<2<<1<<1<<1;
    xpoint[18]<<2<<2<<2<<1;
    xpoint[19]<<2<<2<<2<<2;
    xpoint[20]<<3<<1<<1<<1;
    xpoint[21]<<3<<2<<1<<1;
    xpoint[22]<<3<<2<<1<<2;
    xpoint[23]<<3<<2<<2<<2;
}

int     Dataset::getdimension() const
{
    return dimension;
}

int     Dataset::getpatterns() const
{
    return xpoint.size();
}

Data    Dataset::getpoint(int pos)
{
    return xpoint[pos];
}

Dataset::~Dataset()
{

}
